
GET / organizations / {id} / recommended_actions
Thank you! Your submission has been received!
Oops! Something went wrong while submitting the form.
GET / organizations / {id} / recommended_actions
Retrieve recommended actions for an organization
Retrieve recommended actions for an organization already registered using POST /organizations.
Code Examples
API Key:
Language:
API Explorer
GET
https://api.ditchcarbon.com/organizations/{id}/recommended_actions
Authentication
The ID of the organization.
Send a request to see the response
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | Yes | The ID of the organization. |
Responses
200 Recommended actions
Content type: application/json
Schema: RecommendedActions
Response Fields
| Field | Type | Description |
|---|---|---|
| recommended_actions | array |
Example Response
{
"recommended_actions": [
{
"id": 123,
"emission_category": "string",
"recommended_actions": "string",
"approximate_savings": 123,
"case_study": "string",
"case_study_source_url": "string",
"suggested_contract_term": "string",
"question_to_ask_at_qbr": "string",
"updated_at": "string"
}
]
}404 Organization Not found
Content type: application/json
Response Fields
| Field | Type | Description | |
|---|---|---|---|
| status | integer | Yes | |
| detail | string |
Example Response
{
"status": 123,
"title": "string",
"detail": "string"
}GET / organizations / {id} / recommended_actions
